Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Functions | Variables
host_audio_task.h File Reference

Management of the USB host mouse HID task. More...

`#include "conf_usb.h"`
`#include "usb_host_task.h"`

Go to the source code of this file.

## Data Structures
struct | cs_feature_unit_t

## Macros
#define | Is_host_audio_configured() (audio_connected && !Is_host_suspended())
#define | MUTE_ON TRUE
#define | MUTE_OFF FALSE
#define | MAX_BMA_CONTROLS 4
| Define for each 'feature unit' the max numbers of bmControls. More...

## Functions
void | host_audio_set_cur_mute (U16 unit, Bool cs_mute)
| This function controls the Mute feature of a particular unit. More...
U16 | host_audio_get_max (U16 unit, U16 channel_number)
| This function returns the 'MAX setting' feature of a particular unit. More...
void | host_audio_set_cur (U16 unit, U16 channel_number, U16 volume)
| This function set the 'current setting' feature of a particular unit. More...
void | host_set_sampling_rate (U16 endpoint, U32 sampling_rate)
| This function selects one of the sampling rate of the streaming interface. More...
void | host_audio_task_init (void)
| This function initializes the host mouse HID task. More...
void | host_audio_task (void)
| This function manages the host mouse HID task. More...

## Variables
volatile Bool | ms_connected

## Detailed Description

Management of the USB host mouse HID task.

This file manages the USB host mouse HID task.

- Compiler: IAR EWAVR32 and GNU GCC for AVR32
- Supported devices: All AVR32 devices with a USB module can be used.
- AppNote:

Author
  Atmel Corporation: http://www.atmel.com
  Support and FAQ: http://support.atmel.no/

## Macro Definition Documentation

#define Is_host_audio_configured | ( | ) |  | (audio_connected && !Is_host_suspended())

#define MAX_BMA_CONTROLS 4

Define for each 'feature unit' the max numbers of bmControls.

#define MUTE_OFF FALSE

#define MUTE_ON TRUE

## Function Documentation

U16 host_audio_get_max | ( | U16 | unit,
|  | U16 | channel_number
| ) |  |

This function returns the 'MAX setting' feature of a particular unit.

void host_audio_set_cur | ( | U16 | unit,
|  | U16 | channel_number,
|  | U16 | volume
| ) |  |

This function set the 'current setting' feature of a particular unit.

void host_audio_set_cur_mute | ( | U16 | unit,
|  | Bool | cs_mute
| ) |  |

This function controls the Mute feature of a particular unit.

void host_audio_task | ( | void | ) |  |

This function manages the host mouse HID task.

void host_audio_task_init | ( | void | ) |  |

This function initializes the host mouse HID task.

void host_set_sampling_rate | ( | U16 | endpoint,
|  | U32 | sampling_rate
| ) |  |

This function selects one of the sampling rate of the streaming interface.

## Variable Documentation

volatile Bool ms_connected